import pandas as pd
import numpy as np

df=pd.read_csv(r"E:/BaiduNetdiskDownload/DTSXJK_WJWFC_Q1_W001_2023-10-01_last_1seconds.csv",header=1)

print(df.head())


df["WNAC_WdDir"]=df["WNAC_WdDir"].astype("Float32")
df["弧度"]=df["WNAC_WdDir"]/360*2*np.pi

print(df.head())